#!/usr/bin/env bash

set -euo pipefail

regions=("us-east-1" "eu-central-1" "ap-northeast-1" "ap-southeast-2")

push () {
  aws ecr get-login-password --region "$1" | crane auth login  617762925086.dkr.ecr."$1".amazonaws.com --username AWS --password-stdin
  crane cp "$SOURCE_REPO":"$TAG"  617762925086.dkr.ecr."$1".amazonaws.com/"$DESTINATION_REPO":"$TAG"
}

for region in ${regions[*]}; do
    push "$region"
done
